NXOpen.UF.ModlFeatures.CreateRelativeDaxis

ModlFeatures.CreateRelativeDaxis()

Refer to UF_MODL_create_relative_daxis for documentation.

Signature: CreateRelativeDaxis(numRefs, objEids, pointSelect)

Parameters:
  • numRefs (int) – number of constraints maximum number of three
  • objEids (list of Tag) – eids of the constraint objects maximum number of three
  • pointSelect (list of int) – Array indicating to use edge constraint or point on edge constraint if edge tag is supplied in obj_tags: UF_MODL_EDGE UF_MODL_MID_POINT UF_MODL_END_POINT UF_MODL_RIGHT_END_POINT start point of the edge UF_MODL_LEFT_END_POINT end point of edge
Returns:

Feature tag for the created datum axis, orNULL_TAG if the datum axis was not created.

Return type:

Tag

License requirements: SOLIDS MODELING